Skip to content

Tenant Settings.

GET
/api/web/namespaces/system/tenant/settings
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/settings \
--header 'Authorization: <Authorization>'

Receive current tenant settings.

Examples of this operation.

A successful response.

Media typeapplication/json
TenantSettingsResponse

Defines tenant specific settings.

object
active_plan_transition_id

ID of the plan transition request which is currently in state CREATING.

string
<= 1024 characters
company_name
CompanyName

Company name of the tenant.

string
<= 1024 characters
domain
Domain

Domain of the tenant.

string format: hostname
>= 26 characters <= 1024 characters
max_credentials_expiry
object
max_api_certificate_expiry_days
Certificate expiry period

Certificate expiry period as days.

integer format: int32
max_api_token_expiry_days
Token expiry period

Token expiry period as days.

integer format: int32
max_kube_config_expiry_days
Kubeconfig expiry period

TokeKubeconfign expiry period as days.

integer format: int32
name
Name

Name will represent name of the tenant that is being accessed.

string
>= 6 characters <= 1024 characters
original_tenant
Original Tenant

Orginal_tenant represent tenant ID where the user belongs to.

string
<= 1024 characters
otp_enabled
OTP Enabled

OTP configuration for tenant scope.

boolean format: boolean
otp_status
string
default: OTP_DISABLED
Allowed values: OTP_DISABLED OTP_ENABLED OTP_PROCESSING OTP_PROCESS_DISABLING
scim_enabled
scim_enabled

Flag to show SCIM is enabled for specific tenant.

boolean format: boolean
sso_enabled
SSO Enabled

Flag to show SSO is enabled for specific tenant.

boolean format: boolean
state
string
default: StateUndefined
Allowed values: StateUndefined StateCreating StateCreateFailed StateInactive StateActive StateSuspended StateDisabled StateConfiguring StateConfiguringFailed
Example
{
"otp_status": "OTP_DISABLED",
"state": "StateUndefined"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example